/*
 * Avatar
 *
 * Index
 * - Avatar
 * - Image
 * - Badge
 */

/**
 * @prop --avatar-background: background color of the avatar
 * @prop --avatar-width: width & height of the avatar
 */

/* AVATAR
 -------------------- */

:host {
  --avatar-background: var(--road-primary);
  --avatar-width: 3rem;
  --avatar-color: var(--road-grey-100-new);

  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: var(--avatar-width);
  height: var(--avatar-width);
  font-weight: 700;
  color: var(--avatar-color);
  background: var(--avatar-background);
  border-radius: var(--avatar-width);
  transition: box-shadow 0.5s;
}

:host(:hover){
  box-shadow: 0 0 0 4px var(--road-primary-80);
}

:host(.focus-visible),
:host(:focus){
  outline: auto;
}



:host ::slotted(road-icon) {
  fill: var(--road-icon-inverse);
}


/* SIZE
 -------------------- */

:host(.avatar-sm) {
  width: 2.625rem;
  height: 2.625rem;
  font-size: 1.25rem;
}

:host(.avatar-md) {
  width: 3.5rem;
  height: 3.5rem;
  font-size: var(--road-font-size-32);
}

:host(.avatar-lg) {
  width: 4rem;
  height: 4rem;
  font-size: 2.375rem;
}


/* IMAGE
 -------------------- */

::slotted(road-img),
::slotted(img) {
  width: 100%;
  height: 100%;
  object-fit: cover;
  overflow: hidden;
  border-radius: var(--avatar-width);
}

/* BADGE
 -------------------- */

::slotted(road-badge) {
  position: absolute;
  top: 0;
  right: 0;
}
